CUT(1)

NOMBRE
cut - elimina fragmentos en cada línea de un archivo

SINOPSIS
cut OPCIÓN... [ARCHIVO]...

DESCRIPCIÓN

Imprime las partes seleccionadas de cada línea de un ARCHIVO por la salida estándar

Si no se define ningún ARCHIVO o bien se indica '-', se lee la entrada estándar.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-b, --bytes=LISTA
    selecciona solo estos bytes

-c, --characters=LISTA
    selecciona solo estos caracteres

-d, --delimiter=DELIM
    emplea 'DELIM' como separador en lugar de tabulaciones

-f, --fields=LISTA
    selecciona solo estos campos. También mostrará todas las líneas que no contengan delimitador salvo que se indique la opción -s.

-n  (no tiene efecto)

--complement
    complementa los bytes, caracteres o campos seleccionados

-s, --only-delimited
    no muestra aquellas líneas que no contengan delimitadores

--output-delimiter=CADENA
    emplea 'CADENA' como delimitador de salida. Por defecto, se usa el delimitador de entrada.

-z, --zero-terminated
    las líneas se delimitan con NUL en lugar de nueva línea

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

Emplea solo una única opción de entre las siguientes: -b, -c o -f. Cada lista está formada por uno o más intervalos separados entre si por comas. La selección de entrada se escribirá en el mismo orden que se lee y se escribe exactamente una única vez. La definición de los intervalos será una de las siguientes:

N   del primer byte, carácter o campo hasta el enésimo.

N-  desde el enésimo byte, carácter o campo hasta el final de la línea

N-M desde el enésimo hasta el 'emésimo' (ambos inclusive) byte carácter o campo

-M  desde el primero hasta el 'emésimo' byte, carácter o campo

AUTOR
Escrito por David M. Ihnat, David MacKenzie y Jim Meyering.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

VÉASE TAMBIÉN
Documentación completa <https://www.gnu.org/software/coreutils/cut>
también disponible localmente ejecutando: info '(coreutils) cut invocation'

Packaged by Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo.
NO HAY GARANTÍA, en la medida permitida por la legislación.

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.